Skip to main content
Get Helm Chart
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for the ZedCloud gateway user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

chartName
string
required

Name of the Helm chart (required). Example: 'nginx'

chartVersion
string
required

Version of the Helm chart (required). Example: '15.4.0'

Query Parameters

repoIdentifier
string

Identifier for the Helm chart repository (optional). Example: 'bitnami'. Defaults to local repository if not specified

Response

OK. Successfully retrieved Helm chart information.

Comprehensive Helm chart data containing chart details, configuration, and metadata

readme
string

README content for the Helm chart

appReadme
string

Application-specific README content

questions
object

Configuration questions for the Helm chart

values
object

Default values for the Helm chart

chart
Helm chart metadata · object

Detailed chart metadata and information

repoIdentifier
string

Identifier for the Helm chart repository